#ifdef __cplusplus
extern "C" {
#endif
  
#define GPIO_MODE_READ	0
#define GPIO_MODE_WRITE	1

#define GPIO_MODE_GPIO	0
#define GPIO_MODE_AF1	1
#define GPIO_MODE_AF2	2
#define GPIO_MODE_AF3	3

void gpio_setup();
void gpio_set_mode(int gpio, int dir, int af);
int  gpio_read(int gpio);
void gpio_write(int gpio, int bit);

void uspause (int);
void mspause (int);
int msclock (void);

#ifdef __cplusplus
}
#endif
