pd0	= 0xe2
pd1	= 0xe3
pd3	= 0xe7
pd4	= 0xea
p0	= 0xe0
p1	= 0xe1
p3	= 0xe5
p4	= 0xe8
drr	= 0xfe

prcr	= 0x0a
 prcr_prc0	= 0x01
 prcr_prc1	= 0x02
 prcr_prc2	= 0x04
 prcr_prc3	= 0x08
 _prc0	= 0
 _prc1	= 1
 _prc2	= 2
 _prc3	= 3

pm0	= 0x04
 pm0_pm03	= 0x08
 _pm03	= 3

pm1	= 0x05
 pm1_pm12	= 0x04
 _pm12	= 2

cm0	= 0x06
cm1	= 0x07
ocd	= 0x0c

iccr1	= 0xb8
 iccr1_cks	= 0x0f
 iccr1_trs	= 0x10
 iccr1_mst	= 0x20
 iccr1_rcvd	= 0x40
 iccr1_ice	= 0x80
 _trs	= 4
 _mst	= 5
 _rcvd	= 6
 _ice	= 7

iccr2	= 0xb9
 iccr2_iicrst	= 0x02
 iccr2_sclo	= 0x08
 iccr2_sdaop	= 0x10
 iccr2_sdao	= 0x20
 iccr2_scp	= 0x40
 iccr2_bbsy	= 0x80
 _iicrst	= 1
 _sclo	= 3
 _sdaop	= 4
 _sdao	= 5
 _scp	= 6
 _bbsy	= 7

icmr	= 0xba
 icmr_bc	= 0x07
 icmr_bcwp	= 0x08
 icmr_wait	= 0x40
 icmr_mls	= 0x80
 _bcwp	= 3
 _wait	= 6
 _mls	= 7

icier	= 0xbb
 icier_ackbt	= 0x01
 icier_ackbr	= 0x02
 icier_acke	= 0x04
 icier_stie	= 0x08
 icier_makie	= 0x10
 icier_rie	= 0x20
 icier_teit	= 0x40
 icier_tie	= 0x80
 _ackbt	= 0
 _ackbr	= 1
 _acke	= 2
 _stie	= 3
 _makie	= 4
 _rie	= 5
 _teit	= 6
 _tie	= 7

icsr	= 0xbc
 icsr_adz	= 0x01
 icsr_aas	= 0x02
 icsr_al	= 0x04
 icsr_stop	= 0x08
 icsr_nackf	= 0x10
 icsr_rdrf	= 0x20
 icsr_tend	= 0x40
 icsr_tdre	= 0x80
 _adz	= 0
 _aas	= 1
 _al	= 2
 _stop	= 3
 _nackf	= 4
 _rdrf	= 5
 _tend	= 6
 _tdre	= 7

sar	= 0xbd
 sar_fsb	= 0x01
 _fsb	= 0

icdrt	= 0xbe
icdrr	= 0xbf

pinsr1	= 0xf5
 pinsr1_uart1sel	= 0x03

pinsr2	= 0xf6
 pinsr2_trb0sel0	= 0x40
 _trb0sel0	= 6

pinsr3	= 0xf7
 pinsr3_trciocsel	= 0x04
 pinsr3_trciodsel	= 0x08
 _trciocsel	= 2
 _trciodsel	= 3

pmr	= 0xf8
 pmr_int1sel	= 0x01
 pmr_ssesel	= 0x08
 pmr_u2pinsel	= 0x10
 pmr_txd2sel	= 0x20
 pmr_txd2en	= 0x40
 pmr_iicsel	= 0x80
 _int1sel	= 0
 _ssesel	= 3
 _u2pinsel	= 4
 _txd2sel	= 5
 _txd2en	= 6
 _iicsel	= 7

inten	= 0xf9
 inten_int0en	= 0x01
 inten_int0pl	= 0x02
 inten_int1en	= 0x04
 inten_int1pl	= 0x08
 inten_int3en	= 0x40
 inten_int3pl	= 0x80
 _int0en	= 0
 _int0pl	= 1
 _int1en	= 2
 _int1pl	= 3
 _int3en	= 6
 _int3pl	= 7

intf	= 0xfa
 intf_int0f	= 0x03
 intf_int1f	= 0x0c
 intf_int3f	= 0xc0

kupic	= 0x4d
adic	= 0x4e
ssuaic	= 0x4f
iic2aic	= 0x4f
cmp1ic	= 0x50
s0tic	= 0x51
s1tic	= 0x53
s0ric	= 0x52
s1ric	= 0x54
txic	= 0x56
traic	= 0x56
tzic	= 0x58
trbic	= 0x58
int1ic	= 0x59
int3ic	= 0x5a
tcic	= 0x5b
cmp0ic	= 0x5c
int0ic	= 0x5d

u0mr	= 0xa0
 u0mr_smd	= 0x07
 u0mr_ckdir	= 0x08
 u0mr_stps	= 0x10
 u0mr_pry	= 0x20
 u0mr_prye	= 0x40
 _ckdir	= 3
 _stps	= 4
 _pry	= 5
 _prye	= 6

u0brg	= 0xa1
u0tb	= 0xa2

u0c0	= 0xa4
 u0c0_clk	= 0x03
 u0c0_txept	= 0x08
 u0c0_nch	= 0x20
 u0c0_ckpol	= 0x40
 u0c0_uform	= 0x80
 _txept	= 3
 _nch	= 5
 _ckpol	= 6
 _uform	= 7

u0c1	= 0xa5
 u0c1_te	= 0x01
 u0c1_ti	= 0x02
 u0c1_re	= 0x04
 u0c1_ri	= 0x08
 _te	= 0
 _ti	= 1
 _re	= 2
 _ri	= 3

u0rb	= 0xa6

u1mr	= 0xa8
 u1mr_smd	= 0x07
 u1mr_ckdir	= 0x08
 u1mr_stps	= 0x10
 u1mr_pry	= 0x20
 u1mr_prye	= 0x40
 _ckdir	= 3
 _stps	= 4
 _pry	= 5
 _prye	= 6

u1brg	= 0xa9
u1tb	= 0xaa

u1c0	= 0xac
 u1c0_clk	= 0x03
 u1c0_txept	= 0x08
 u1c0_nch	= 0x20
 u1c0_ckpol	= 0x40
 u1c0_uform	= 0x80
 _txept	= 3
 _nch	= 5
 _ckpol	= 6
 _uform	= 7

u1c1	= 0xad
 u1c1_te	= 0x01
 u1c1_ti	= 0x02
 u1c1_re	= 0x04
 u1c1_ri	= 0x08
 _te	= 0
 _ti	= 1
 _re	= 2
 _ri	= 3

u1rb	= 0xae

ucon	= 0xb0
 ucon_u0irs	= 0x01
 ucon_u1irs	= 0x02
 ucon_u0rrm	= 0x04
 ucon_u1sel	= 0x30
 ucon_cntrsel	= 0x80
 _u0irs	= 0
 _u1irs	= 1
 _u0rrm	= 2
 _cntrsel	= 7

txmr	= 0x8b
 txmr_txmod	= 0x03
 txmr_r0edg	= 0x04
 txmr_txs	= 0x08
 txmr_txocnt	= 0x10
 txmr_txmod2	= 0x20
 txmr_txedg	= 0x40
 txmr_txund	= 0x80
 _r0edg	= 2
 _txs	= 3
 _txocnt	= 4
 _txmod2	= 5
 _txedg	= 6
 _txund	= 7

prex	= 0x8c
tx	= 0x8d

tzmr	= 0x80
 tzmr_tzmod	= 0x30
 tzmr_tzwc	= 0x40
 tzmr_tzs	= 0x80
 _tzwc	= 6
 _tzs	= 7

pum	= 0x84
 pum_tzopl	= 0x10
 pum_inostg	= 0x20
 pum_inosec	= 0x40
 _tzopl	= 4
 _inostg	= 5
 _inosec	= 6

prez	= 0x85
tzsc	= 0x86
tzpr	= 0x87

tzoc	= 0x8a
 tzoc_tzos	= 0x01
 _tzos	= 0

tcss	= 0x8e
 tcss_txck	= 0x03
 tcss_tzck	= 0x30

tracr	= 0x100
 tracr_tstart	= 0x01
 tracr_tcstr	= 0x02
 tracr_tstop	= 0x04
 tracr_tedgf	= 0x10
 tracr_tundf	= 0x20
 _tstart	= 0
 _tcstr	= 1
 _tstop	= 2
 _tedgf	= 4
 _tundf	= 5

traioc	= 0x101
 traioc_tedgsel	= 0x01
 traioc_topcr	= 0x02
 traioc_toena	= 0x04
 traioc_tiosel	= 0x08
 traioc_tipf	= 0x30
 _tedgsel	= 0
 _topcr	= 1
 _toena	= 2
 _tiosel	= 3

tramr	= 0x102
 tramr_tmod	= 0x07
 tramr_tck	= 0x70
 tramr_tckcut	= 0x80
 _tckcut	= 7

trapre	= 0x103
tra	= 0x104

trbcr	= 0x108
 trbcr_tstart	= 0x01
 trbcr_tcstr	= 0x02
 trbcr_tstop	= 0x04
 _tstart	= 0
 _tcstr	= 1
 _tstop	= 2

trbocr	= 0x109
 trbocr_tosst	= 0x01
 trbocr_tossp	= 0x02
 trbocr_tosstf	= 0x04
 _tosst	= 0
 _tossp	= 1
 _tosstf	= 2

trbioc	= 0x10a
 trbioc_topl	= 0x01
 trbioc_tocnt	= 0x02
 trbioc_inostg	= 0x04
 trbioc_inoseg	= 0x08
 _topl	= 0
 _tocnt	= 1
 _inostg	= 2
 _inoseg	= 3

trbmr	= 0x10b
 trbmr_tmod	= 0x03
 trbmr_twrc	= 0x08
 trbmr_tck	= 0x30
 trbmr_tckcut	= 0x80
 _twrc	= 3
 _tckcut	= 7

trbpre	= 0x10c
trbsc	= 0x10d
trbpr	= 0x10e
tc	= 0x90
tm0	= 0x9c
tm1	= 0x9e

tcc0	= 0x9a
 tcc0_tc0sb	= 0x01
 tcc0_tc0ssb	= 0x06
 tcc0_tc0icp	= 0x18
 tcc0_tc0int3	= 0x40
 tcc0_tc0iisb	= 0x80
 _tc0sb	= 0
 _tc0int3	= 6
 _tc0iisb	= 7

tcc1	= 0x9b
 tcc1_tc1if	= 0x03
 tcc1_tc1rs	= 0x04
 tcc1_tc10csb	= 0x08
 tcc1_tc11oms	= 0x30
 tcc1_tc10oms	= 0xc0
 _tc1rs	= 2
 _tc10csb	= 3

tcout	= 0xff
