#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/mman.h>
#include <sys/resource.h>

#include <linux/i2c.h>
#include <linux/i2c-dev.h>

#include "gpio.h"

extern int verbose;

#define Z1_RESET	64
#define ZP_MODE		61

static int zone_addr[] = { 0, 10, 20, 30, 40, 50 };

main(int argc, char **argv)
{
  int addr, zone = 1;
  struct i2c_msg msg[2];
  struct i2c_rdwr_ioctl_data mlist;
  int i2c, i, wi=0, ri=0;
  char msgbuf[40];
  char rdbuf[40];

  setbuf(stdout, 0);
  i2c = open("/dev/i2c-0", O_RDWR);
  if (i2c < 0)
    {
      perror ("/dev/i2c-0");
      exit (1);
    }

  if (ioctl (i2c, I2C_RETRIES, msgbuf) < 0)
    {
      perror("ioctl");
      exit(1);
    }

  close (i2c);
  return 0;
}
